package com.huijy.management.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 酒店客人数据记录对象 t_shop_guest_record
 *
 * @author luobo
 * @date 2021-10-10
 */
public class ShopGuestRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 客人上传记录 */
    private Long shopGuestRecord;

    /** 店铺id */
    private Long shopId;
    @Excel(name = "店铺名称")
    private String shopName;

    /** 游客姓名 */
    @Excel(name = "游客姓名")
    private String guestName;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phone;

    /** 入住日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入住日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkInTime;

    /** 游客类型 */
    @Excel(name = "游客类型")
    private String guestType;

    public void setShopGuestRecord(Long shopGuestRecord)
    {
        this.shopGuestRecord = shopGuestRecord;
    }

    public Long getShopGuestRecord()
    {
        return shopGuestRecord;
    }
    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public Long getShopId()
    {
        return shopId;
    }
    public void setGuestName(String guestName)
    {
        this.guestName = guestName;
    }

    public String getGuestName()
    {
        return guestName;
    }
    public void setIdCard(String idCard)
    {
        this.idCard = idCard;
    }

    public String getIdCard()
    {
        return idCard;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setCheckInTime(Date checkInTime)
    {
        this.checkInTime = checkInTime;
    }

    public Date getCheckInTime()
    {
        return checkInTime;
    }
    public void setGuestType(String guestType)
    {
        this.guestType = guestType;
    }

    public String getGuestType()
    {
        return guestType;
    }


    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shopGuestRecord", getShopGuestRecord())
            .append("shopId", getShopId())
            .append("guestName", getGuestName())
            .append("idCard", getIdCard())
            .append("phone", getPhone())
            .append("checkInTime", getCheckInTime())
            .append("guestType", getGuestType())
            .append("createTime", getCreateTime())
            .append("shopName", getShopName())
            .toString();
    }
}
